package aonsupabase

import (
	"github.com/beego/beego/v2/core/logs"
	"github.com/supabase-community/supabase-go"
)

var API_URL = "https://vbxtvjffhsirnyxjcuku.supabase.co"
var API_KEY = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZSIsInJlZiI6InZieHR2amZmaHNpcm55eGpjdWt1Iiwicm9sZSI6ImFub24iLCJpYXQiOjE3MjI1MTY1NjQsImV4cCI6MjAzODA5MjU2NH0.E6SFFojKzIZCRIQAhoJ49aO4yY-m1Mb2sZtSkVh-tBg"
var MyClient *supabase.Client

func init() {
	var err error
	MyClient, err = supabase.NewClient(API_URL, API_KEY, nil)
	if err != nil {
		logs.Debug("cannot initalize client:", err)
	}
}
